>From 954e6f1b1e147f026b850610712c80e42b873fca Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Sun, 21 Aug 2011 19:46:42 +0300
Subject: [carFl mem 61/65] Statics: programmer_param to globals

Move programmer_param static global variable to globals structure.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 flash.h    |    2 ++
 flashrom.c |   11 +++++------
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/flash.h b/flash.h
index a3d3372..254a363 100644
--- a/flash.h
+++ b/flash.h
@@ -336,6 +336,8 @@ struct globals {
 	 * each bus. Store the limits for each bus in a common struct.
 	 */
 	struct decode_sizes max_rom_decode;
+
+	char *programmer_param;
 };
 void init_globals(globals *g);
 
diff --git a/flashrom.c b/flashrom.c
index 876db46..875cff9 100644
--- a/flashrom.c
+++ b/flashrom.c
@@ -62,10 +62,9 @@ void init_globals(globals *g)
 
 	g->superio_count = 0;
 	g->ichspi_bbar = 0;
+	g->programmer_param = NULL;
 }
 
-static char *programmer_param = NULL;
-
 const struct programmer_entry programmer_table[] = {
 #if CONFIG_INTERNAL == 1
 	{
@@ -455,13 +454,13 @@ int programmer_init(globals *g, char *param)
 	/* Default to allowing writes. Broken programmers set this to 0. */
 	g->programmer_may_write = 1;
 
-	programmer_param = param;
+	g->programmer_param = param;
 	msg_pdbg("Initializing %s programmer\n",
 		 programmer_table[g->programmer].name);
 	ret = programmer_table[g->programmer].init(g);
-	if (programmer_param && strlen(programmer_param)) {
+	if (g->programmer_param && strlen(g->programmer_param)) {
 		msg_perr("Unhandled programmer parameters: %s\n",
-			 programmer_param);
+			 g->programmer_param);
 		/* Do not error out here, the init itself was successful. */
 	}
 	return ret;
@@ -653,7 +652,7 @@ char *extract_param(globals *g, char **haystack, const char *needle, const char
 
 char *extract_programmer_param(globals *g, const char *param_name)
 {
-	return extract_param(g, &programmer_param, param_name, ",");
+	return extract_param(g, &(g->programmer_param), param_name, ",");
 }
 
 /* Returns the number of well-defined erasers for a chip. */
-- 
1.7.6

